Package ru.bitel.bgbilling.kernel.event.events

# Class ContractLimitUserLow

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.events.ContractLimitUserLow

All Implemented Interfaces:
  `java.io.Serializable`

    public class ContractLimitUserLow
    extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

Асинхронное событие - временное понижение лимита пользователем через Web-статистику.
Вызывается после временного понижения лимита пользователем через Web-статистику.
Унаследован от `QueueEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `ContractLimitUserLow()` |
  `` | `ContractLimitUserLow​(int userId, int cid, java.math.BigDecimal summa, int days)` | Конструктор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getDays()` | Возвращает количество дней, на которое был понижен лимит.
  `java.math.BigDecimal` | `getSumma()` | Возвращает сумму на которую был понижен лимит.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractLimitUserLow

    protected ContractLimitUserLow()

  - ### ContractLimitUserLow

    public ContractLimitUserLow​(int userId, int cid, java.math.BigDecimal summa, int days)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `cid` - - id договора
      `summa` - - сумма, на которую уменьшен лимит
      `days` - - количество дней, на которое был понижен лимит

- ## Method Details

  - ### getSumma

    public java.math.BigDecimal getSumma()
    Возвращает сумму на которую был понижен лимит.
    Returns:
      symma - сумма понижения лимита

  - ### getDays

    public int getDays()
    Возвращает количество дней, на которое был понижен лимит.
    Returns:
      days - количество дней